﻿using System;
using Telerik.Windows.Controls;

namespace TreeViewHyperlinkButtonExample
{
    public class HyperlinkDataItem : ViewModelBase
    {
        public HyperlinkDataItem(string content, Uri navigateUri)
        {
            this.Content = content;
            this.NavigateUri = navigateUri;
            this.ClickCommand = new DelegateCommand((p) => { this.OnHyperlinkClicked(); });
        }

        private void OnHyperlinkClicked()
        {
            this.IsSelected = true;
        }

        private bool isSelected;
        public bool IsSelected
        {
            get
            {
                return this.isSelected;
            }
            set
            {
                if (this.isSelected != value)
                {
                    this.isSelected = value;
                    this.OnPropertyChanged("IsSelected");
                }
            }
        }        

        private string content;
        public string Content
        {
            get
            {
                return this.content;
            }
            set
            {
                if (this.content != value)
                {
                    this.content = value;
                    this.OnPropertyChanged("Content");
                }
            }
        }
        
        private Uri navigateUri;
        public Uri NavigateUri
        {
            get
            {
                return this.navigateUri;
            }
            set
            {
                if (this.navigateUri != value)
                {
                    this.navigateUri = value;
                    this.OnPropertyChanged("NavigateUri");
                }
            }
        }

        public DelegateCommand ClickCommand
        {
            get;
            set;
        }
        
    }
}
